// src/content.tsx
import { clsx } from "@clutchd/clsx";
import { Col, Row } from "@clutchd/flex";
import { jsx } from "react/jsx-runtime";
function Content({
  children,
  className,
  direction = "col",
  padding = true,
  ...props
}) {
  const classNames = clsx("flex-1", padding ? "p-6 sm:p-8" : "", className);
  if (direction === "row") {
    return /* @__PURE__ */ jsx(Row, {
      asChild: true,
      className: classNames,
      ...props,
      children: /* @__PURE__ */ jsx("main", {
        children
      })
    });
  }
  return /* @__PURE__ */ jsx(Col, {
    asChild: true,
    className: classNames,
    ...props,
    children: /* @__PURE__ */ jsx("main", {
      children
    })
  });
}

// src/footer.tsx
import { clsx as clsx2 } from "@clutchd/clsx";
import { Col as Col2, Row as Row2 } from "@clutchd/flex";
import { jsx as jsx2 } from "react/jsx-runtime";
function Footer({
  children,
  className,
  direction = "row",
  padding = true,
  ...props
}) {
  const classNames = clsx2(padding ? "p-6 sm:p-8" : "", className);
  if (direction === "row") {
    return /* @__PURE__ */ jsx2(Row2, {
      asChild: true,
      className: classNames,
      ...props,
      children: /* @__PURE__ */ jsx2("footer", {
        children
      })
    });
  }
  return /* @__PURE__ */ jsx2(Col2, {
    asChild: true,
    className: classNames,
    ...props,
    children: /* @__PURE__ */ jsx2("footer", {
      children
    })
  });
}

// src/header.tsx
import { clsx as clsx3 } from "@clutchd/clsx";
import { Col as Col3, Row as Row3 } from "@clutchd/flex";
import { jsx as jsx3 } from "react/jsx-runtime";
function Header({
  children,
  className,
  direction = "row",
  padding = true,
  ...props
}) {
  const classNames = clsx3(padding ? "p-6 sm:p-8" : "", className);
  if (direction === "row") {
    return /* @__PURE__ */ jsx3(Row3, {
      asChild: true,
      className: classNames,
      ...props,
      children: /* @__PURE__ */ jsx3("header", {
        children
      })
    });
  }
  return /* @__PURE__ */ jsx3(Col3, {
    asChild: true,
    className: classNames,
    ...props,
    children: /* @__PURE__ */ jsx3("header", {
      children
    })
  });
}

// src/page.tsx
import { clsx as clsx4 } from "@clutchd/clsx";
import { Col as Col4, Row as Row4 } from "@clutchd/flex";
import { getColor } from "@clutchd/tailwind";
import { jsx as jsx4 } from "react/jsx-runtime";
function Page({
  className,
  direction = "col",
  theme = "gray",
  ...props
}) {
  const color = getColor(theme, "50").bgColor;
  const classNames = clsx4(color, "min-h-screen min-w-screen", className);
  if (direction === "row") {
    return /* @__PURE__ */ jsx4(Row4, {
      className: classNames,
      ...props
    });
  }
  return /* @__PURE__ */ jsx4(Col4, {
    className: classNames,
    ...props
  });
}
export {
  Content,
  Footer,
  Header,
  Page
};
